Bug 1968026 - konsole5-21.04 adds a toolbar that cannot be hidden
Summary: konsole5-21.04 adds a toolbar that cannot be hidden
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole5
Version: 34
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-04 18:09 UTC by Tom Seewald
Modified: 2022-06-08 06:32 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-08 06:32:36 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showing the new toolbar (32.54 KB, image/png)
2021-06-04 18:09 UTC, Tom Seewald
no flags Details
Screenshot showing expected appearance from 20.12 (25.50 KB, image/png)
2021-06-04 18:10 UTC, Tom Seewald
no flags Details

Description Tom Seewald 2021-06-04 18:09:41 UTC
Created attachment 1789014 [details]
Screenshot showing the new toolbar

Description of problem:
After upgrading to the 21.04 version of konsole5 there is now a strange menu bar that cannot be hidden. The new menubar does not seem to be fully functional as pressing the "new tab" button does not seem to do anything.

If this is an intended change I must say I am not happy with it.

Version-Release number of selected component (if applicable):
Last known good version: konsole5-20.12.1-1.fc34

First bad version: konsole5-21.04.1-2.fc34.x86_64 (and the issue remains with konsole5-21.04.1-3.fc34)

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from konsole5 20.12 to 21.04
2. Relaunch konsole

Actual results:
There is now a menu/tool bar on all console windows.

Expected results:
No menu bar.


Additional info:
I have attached screenshots of before and after upgrading konsole5.

Comment 1 Tom Seewald 2021-06-04 18:10:29 UTC
Created attachment 1789015 [details]
Screenshot showing expected appearance from 20.12

Comment 2 Eugene Mah 2021-06-04 23:46:36 UTC
The toolbars appear to be a new feature with 21.04.

The New Tab toolbar works fine on my system.  

Being able to hide them would be a good feature though.  This post on the KDE forum (https://forum.kde.org/viewtopic.php?f=227&t=170988) seems to indicate that there's an option under Settings to show/hide the toolbar, but I don't see it.  Right-clicking on the toolbars (new tab and copy/paste/find are two separate toolbars) lets me lock/unlock the tool bars so that they can be undocked or moved around, but also no option for hiding them.

Comment 3 Eugene Mah 2021-06-04 23:55:49 UTC
Oh!

Right click on the menu bar (File/Edit/...) and uncheck Main Toolbar and Session Toolbar to make them go away.

Comment 4 Kostya Vasilyev 2021-06-07 06:49:34 UTC
I also have SuSE Tumbleweed installed, which has the same exact Konsole version.

In SuSE, Konsole has menu items under Settings to turn the toolbars on and off, exactly as mentioned in comment #2.

Perhaps that's a build time option? If it is, can it be enabled for Fedora, so that we get menu items under Settings to turn the toolbars on and off, please?

Comment 5 Jerry Kiely 2021-06-08 01:18:51 UTC
I have the same issue. 

For me the toolbar first appeared in version 21.04.1-2.fc34 - you could hide / disable it in the settings menu by navigating to 'Settings -> Toolbars Shown' and un-checking both main and session toolbars (there was also a 'Configure Toolbars...' entry in the settings menu).

After upgrading to version 21.04.1-3.fc34 the previously hidden toolbar has returned, and I can see no way to disable / hide the toolbar - there is no longer anything toolbar related in the settings menu at all. 

J.K.

Comment 6 Kostya Vasilyev 2021-06-08 06:09:33 UTC
One more thing that's wrong:

Hiding the toolbars (using right click on the menu bar, for now) does not save.

Next time you run Konsole or even create a new tab - the toolbars are present again.

Comment 7 Rex Dieter 2021-06-09 15:34:36 UTC
%changelog
* Wed Jun 02 2021 Rex Dieter <rdieter@fedoraproject.org> - 21.04.1-3
- revert upstream commit causing sizing regresssion (kde#437791)

This was done to workaround another bug #1957858

So looks like we get to fix only one of those issues. :-/ 

At least until upstream fixes that other issue properly (instead of our reverting the commit that introduced it):
https://bugs.kde.org/show_bug.cgi?id=437791

Comment 8 Rex Dieter 2021-06-29 20:37:03 UTC
This should be resolved with latest updates, prior workaround was removed.

https://bodhi.fedoraproject.org/updates/FEDORA-2021-f845aee706

Comment 9 Bill Helfinstine 2021-07-30 05:13:22 UTC
Bug appears to be back in konsole5-21.04.2-3.fc34.x86_64

Comment 10 Kostya Vasilyev 2021-07-30 06:08:39 UTC
Same for me, the bug is back in konsole5-21.04.2-3.fc34.x86_64

Comment 11 Vitaly Zaitsev 2021-07-30 12:14:11 UTC
Reopening. Regression is back in konsole5-21.04.2-3.fc34.x86_64.

There is no way to hide this ugly toolbar.

Comment 13 Vitaly Zaitsev 2021-07-30 12:26:58 UTC
Regression introduced by this commit: https://src.fedoraproject.org/rpms/konsole5/c/fd38f83cc0462e24e939d2450bd1e7575c34716a?branch=rawhide

I think it should be reverted.

Comment 14 Rex Dieter 2021-08-02 20:43:09 UTC
Folks affected, mind trying out this scratch build of latest upstream konsole beta release, with merge request:
https://invent.kde.org/utilities/konsole/-/merge_requests/447
backported.

https://koji.fedoraproject.org/koji/taskinfo?taskID=73166268

Comment 16 Garry T. Williams 2021-08-02 21:47:53 UTC
(In reply to Rex Dieter from comment #14)
> Folks affected, mind trying out this scratch build of latest upstream

Nice.  That fixed it.  Thanks.

Comment 17 Thomas Johnson 2021-08-03 07:34:34 UTC
Can also confirm as fixed. Toolbars are hidden by default, and can be individually toggled with Menu > Settings > Toolbars Shown > {Main Toolbar, Session Toolbar}.

Thanks!

Comment 18 Bill Helfinstine 2021-08-05 05:36:09 UTC
I can confirm that the toolbars can be toggled off and they remain off when logging out and back in.

Comment 19 Fedora Update System 2021-08-19 16:12:10 UTC
FEDORA-2021-00986f6207 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-00986f6207

Comment 20 Kostya Vasilyev 2021-08-19 17:43:16 UTC
The bodhi builds are from KDE 21.08 - is the whole thing (KDE) coming to Fedora 34, not just Konsole?

Comment 21 Fedora Update System 2021-08-20 01:26:21 UTC
FEDORA-2021-00986f6207 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-00986f6207`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-00986f6207

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-08-21 01:06:53 UTC
FEDORA-2021-00986f6207 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Ben Cotton 2022-05-12 16:58:50 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 24 Ben Cotton 2022-06-08 06:32:36 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.